#include <iostream.h>
#include <windows.h>
using namespace std;

int main(int argc, char* argv[])
{

HANDLE hfile;
DWORD nr=0;

char buf[200];

DWORD ret_size;
LPDWORD size;


hfile =   CreateFile  ( "test.txt", GENERIC_READ , FILE_SHARE_READ , 0,
						 OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, 0 );

ret_size = GetFileSize ( hfile , size );

ReadFile (hfile  , buf , (DWORD)ret_size  , &nr , NULL );

cout << buf << endl;

	if ( strcmp( buf , "abc" ) == 0 )
	{
		cout<<"Hallo =) "<<endl;
	}


system("PAUSE");
}



